Bug 92510 - Expert Configuration - Search is broken
Summary: Expert Configuration - Search is broken
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Mihály Palenik
URL:
Whiteboard: gsoc target:5.1.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2015-07-02 21:43 UTC by V Stuart Foote
Modified: 2019-01-15 15:56 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2015-07-02 21:43:20 UTC
On Windows 8.1, 64-bit with
Version: 5.1.0.0.alpha1+ (x64)
Build ID: c18f11587d37f285a95447dd8996c8b605732e00
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2015-07-01_21:36:15
Locale: en-US (en_US)

GSOC 2015 work on Expert Configuration is looking good no delays when a11y support is active (NVDA), but search functions are broken.
Comment 1 m.a.riosv 2015-07-02 22:48:55 UTC
Reproducible.
Win7x64
Version: 5.1.0.0.alpha1+ (x64)Build ID: c18f11587d37f285a95447dd8996c8b605732e00
  TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2015-07-01_21:36:15
Comment 2 Commit Notification 2015-07-07 09:52:21 UTC
Mihály Palenik committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4d0e9102d890ce0085986ca3946aeb8d99769b4a

tdf#92510 Fix search in Expert Configuration dialog

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 V Stuart Foote 2015-07-07 22:35:20 UTC
@Mihály, 

With Version: 5.1.0.0.alpha1+
Build ID: 7161ff6e928cd74a2fba9fd6f966f2283bd24d59
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-07-07_14:53:40
Locale: en-US (en_US)

search is working great now...

A sidebar issue--that probably needs a new bug:

The Table -> Row(s) and its columns only expose the "Preference Name" to a11y.

Other columns of each row, e.g. "Property", "Type" and "Value" of the table (or of search results) are not exposed--and we don't seem to have a means of advancing column to column when reviewing each row. Even with a row selected, the Edit function does not announce the name of the Property being edited.

Not sure what can be done with the structure to expose the rest of the columns, but things already are much better with a11y active than it had been.

Thanks!